/** css/fp_theme.css **/

@import url('theme.css');

/* Main page header */
#open-source-at-fairphone h1 {
    font-size: 64px;
    text-align: left;
}

/* "Security fixes" in old software release announcements */
#security-fixes dl:not(.docutils) dt {
    display: inline-block;
    margin: 6px 0;
    font-size: 90%;
    line-height: normal;
    background: #e7f2fa;
    color: #2980B9;
    border-top: solid 3px #6ab0de;
    padding: 6px;
}

/* Increase top padding */
.wy-nav-content {
    padding: 2.5em 3.236em;
}

div.figure {
    padding-top: 2em;
}

.wy-side-nav-search {
    padding-top: 32pt;
    background-size: 10em;
    background-position: center top+12pt;
}

/* Header color */
.wy-side-nav-search, .wy-nav-top {
    background: #004137;
}

/* Hide breadcrumb header */
.wy-breadcrumbs {
    display: none;
}

.rst-content > div:nth-child(1) > hr {
    display: none;
}

/* Sidebar */
.wy-menu-vertical header,
.wy-menu-vertical p.caption {
    color: #f5f5f5;
}

/* Hide footer buttons */
.rst-footer-buttons {
    display: none;
}

.rst-content > footer > hr {
    display: none;
}

/* Add margin below pictures */
.rst-content .align-center {
    margin-bottom: 24px;
}

/* Background color of codeblocks */
.highlight {
    background: #f5f5f5;
}

/* Copyright footer */
footer {
    font-size: 12px;
}

div[role="contentinfo"] {
    display: inline;
}

div[role="contentinfo"] p {
    display: inline;
    font-size: 12px;
}

div[role="contentinfo"] p::after {
    content: "  •  ";
}

/* General style adjustments */
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    font-family: ff-enzo-web, 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-weight: 300;
    line-height: 1.1;
    color: inherit;
}

h1, .h1 {
    font-size: 36px;
}

h2, .h2 {
    font-size: 30px;
}

h3, .h3 {
    font-size: 24px;
}

h4, .h4 {
    font-size: 18px;
}

h5, .h5 {
    font-size: 14px;
}

h6, .h6 {
    font-size: 12px;
}

body {
    font-family: Roboto, 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 16px;
    line-height: 1.4286;
    color: #1F2021;
    background-color: #fff;
    font-weight: 300;
}

a {
    color: #00433d;
    font-weight: 400;
    transition: color .15s cubic-bezier(0.35, 0, .35, 1);
}

a:hover, a:focus {
    color: #00786e;
    text-decoration: none;
}

a:visited {
    color: #00786e;
}

/* re-affirm color for the sidebar since we overwrite :visited above */
.wy-menu-vertical a {
    color: #d9d9d9;
}
/* and for title bar in mobile version */
.wy-nav-top a {
    color: #fff;
}

.wy-menu-vertical a:active {
  background-color: #4e4a4a;
}

/* Quote formatting in old software releases */
blockquote {
    padding: 10px 20px;
    margin: 0 0 20px;
    font-size: 17.5px;
    border-left: 5px solid #eee;
}


/* Font definitions */
@font-face {
    font-family: ff-enzo-web;
    src: url("../fonts/EnzoWeb-Light.woff") format('woff');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: ff-enzo-web;
    src: url("../fonts/EnzoWeb-Bold.woff") format('woff');
    font-weight: 700;
    font-style: normal;
}

/* From https://gwfh.mranftl.com/fonts/roboto?subsets=latin */

/* roboto-300 - latin */
@font-face {
    font-display: swap;
    font-family: Roboto;
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/roboto-v32-latin-300.woff2') format('woff2');
}

/* roboto-300italic - latin */
@font-face {
    font-display: swap;
    font-family: Roboto;
    font-style: italic;
    font-weight: 300;
    src: url('../fonts/roboto-v32-latin-300italic.woff2') format('woff2');
}

/* roboto-regular - latin */
@font-face {
    font-display: swap;
    font-family: Roboto;
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/roboto-v32-latin-regular.woff2') format('woff2');
}

/* roboto-italic - latin */
@font-face {
    font-display: swap;
    font-family: Roboto;
    font-style: italic;
    font-weight: 400;
    src: url('../fonts/roboto-v32-latin-italic.woff2') format('woff2');
}

/* roboto-500 - latin */
@font-face {
    font-display: swap;
    font-family: Roboto;
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/roboto-v32-latin-500.woff2') format('woff2');
}

/* roboto-500italic - latin */
@font-face {
    font-display: swap;
    font-family: Roboto;
    font-style: italic;
    font-weight: 500;
    src: url('../fonts/roboto-v32-latin-500italic.woff2') format('woff2');
}

/* roboto-700 - latin */
@font-face {
    font-display: swap;
    font-family: Roboto;
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/roboto-v32-latin-700.woff2') format('woff2');
}

/* roboto-700italic - latin */
@font-face {
    font-display: swap;
    font-family: Roboto;
    font-style: italic;
    font-weight: 700;
    src: url('../fonts/roboto-v32-latin-700italic.woff2') format('woff2');
}

